#!/bin/sh

echo "post-install"

case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		cp -af $APKG_TEMP_DIR/config/config.php /volume1/Web/mybb/inc/
		cp -af $APKG_TEMP_DIR/config/settings.php /volume1/Web/mybb/inc/
		
		# keep owner/group and permission (-o -g -p)
		rsync -r -t -u -p -o -g --ignore-existing --include=*/ --exclude=index.html $APKG_TEMP_DIR/backups /volume1/Web/mybb/admin/
		rsync -r -t -u -p -o -g --ignore-existing --include=*/ --exclude=index.html $APKG_TEMP_DIR/styles /volume1/Web/mybb/admin/
		rsync -r -t -u -p -o -g --ignore-existing --include=*/ --exclude=index.html $APKG_TEMP_DIR/uploads /volume1/Web/mybb/
		rsync -r -t -u -p -o -g --ignore-existing --include=*/ --exclude=index.html $APKG_TEMP_DIR/cache /volume1/Web/mybb/
		;;
	*)
		;;
esac

exit 0
